import { reactive, ref } from 'vue';
import { Rule } from '../composition/useValidation';
export declare class FormField {
    private _errors;
    private _initialModelValue;
    name: string;
    rulesValidating: import("vue").Ref<number>;
    modelValue: ReturnType<typeof ref> | ReturnType<typeof reactive>;
    touched: boolean;
    errors: import("vue").ComputedRef<string[]>;
    validating: import("vue").ComputedRef<boolean>;
    hasError: import("vue").ComputedRef<boolean>;
    constructor(name: string, modelValue: any, rules: Rule[]);
    setError(ruleNumber: number, error: string | null): void;
    reset(toDefaultValues: boolean): void;
}
