export declare class PromiseCancel<T = unknown> {
    private promise;
    private resolve;
    private reject;
    constructor();
    cancelResolve(value: T | PromiseLike<T>): void;
    cancelReject(reason?: any): void;
    race<Ps extends readonly Promise<any>[]>(...promises: [...Ps]): Promise<T | ([...Ps][number] extends PromiseLike<infer U> ? U : [...Ps][number])>;
    private assign;
}
