import { Field, TransformedField } from '../../composition/useValidation';
export declare const isDefined: <T>(x: T | null | undefined) => x is T;
export declare const isObject: (x: any) => x is Record<string, unknown>;
export declare const isArray: (x: any) => x is any[];
export declare const isField: <T>(x: any) => x is Field<T>;
export declare const isTransformedField: <T>(x: any) => x is TransformedField<T>;
